{ --------------------------------------------------------------------------
  CTDEMO.PAS - coolTimer Demo Program

  Copyright(c) 1996 by B-coolWare.  Written by Bobby Z.
  -------------------------------------------------------------------------- }
  
{$A+,B-,D+,E-,F-,G+,I-,L+,N-,O-,P-,Q-,R-,S-,T-,V+,X+}
{$M 16384,0,655360}
uses Timer,Crt,Dos;

const
        Snd : Boolean = False;

procedure MyTimer; far;
begin
if Snd then
 PlaySound(1000)
else
 Timer.NoSound;
Snd := not Snd;
end;

function Lead0( V : Word ) : String;
 var S : String;
 begin
  Str(V,S);
  if V <10 then
   Lead0 := '0'+S
  else
   Lead0 := S;
 end;

var H,M,S,S100 : Word;

begin
 WriteLn('coolTimer Unit Demo  Version 1.21/P  Copyright(c) 1993-96 by B-coolWare');
 WriteLn;
 grabTimer;
 setTimerHandler(0,3000,@MyTimer);
 WriteLn('You hear it? 3000 times per second ! Press any key...');
 repeat
  GetTime(H,M,S,S100);
  Write(#13,Lead0(H),':',Lead0(M),':',Lead0(S));
 until KeyPressed;
 ReadKey;
 WriteLn;
 changeRate(0,18);
 WriteLn('And now standard speed back : 18.2 times per second.');
 repeat
  GetTime(H,M,S,S100);
  Write(#13,Lead0(H),':',Lead0(M),':',Lead0(S));
 until KeyPressed;
 ReadKey;
 WriteLn;
 Timer.noSound;
 WriteLn('Temporarily disable custom handler...');
 disableHandler(0);
 repeat
  GetTime(H,M,S,S100);
  Write(#13,Lead0(H),':',Lead0(M),':',Lead0(S));
 until KeyPressed;
 ReadKey;
 WriteLn;
 WriteLn('Back to handling...');
 setTimerHandler(0,18,@MyTimer);
 repeat
  GetTime(H,M,S,S100);
  Write(#13,Lead0(H),':',Lead0(M),':',Lead0(S));
 until KeyPressed;
 ReadKey;
 disableHandler(0);
 Timer.noSound;
 WriteLn;
 WriteLn('coolTimer Demo Done!');
 WriteLn;
 WriteLn('coolTimer allows you to set up to 50 custom timer handlers, each with');
 WriteLn('different rate and have them all running simultaneously without interference');
 WriteLn('with each other and the system clock.');
end.
